Uvod

Úvod

Optimalizace vztahu kulatiny (výřezy) - řezivo je první podmínkou pro efektivnost pilařské výroby. Základním úkolem pilařské výroby je vyrábět požadované řezivo z disponibilní suroviny. Pod pojmem požadované řezivo rozumíme jak středové řezivo objednané spotřebiteli nebo dalšími zpracovateli, tak i boční řezivo, které najde nejúčelnější další použití. Pod pojmem disponibilní surovina rozumíme pilařské výřezy, které jsou v dané době pro výrobu k dispozici. V obou případech se může jednat o údaje determinované nebo stochastické, případně o jejich kombinaci.

Výsledkem vztahu surovina - řezivo je poměr požadovaného a ostatního řeziva, výtěž řeziva, výtěž štěpek, výtěž finanční, produktivita práce a pod. Každé z těchto kriterií může být základem optimalizace. Nejčastějším a asi nejúčelnějším kriteriem optimalizace v našich poměrech je výtěž řeziva.

Praktickým vyjádřením vztahu kulatina - řezivo je pořezové schema, které vyjadřuje transformační funkci mezi výřezem a řezivem a udává konkretní parametry středového i bočního řeziva, výtěž řeziva, výtěž štěpek, podíl pilin a nadměr, tedy kompletní rozdělení výřezu.

Výpočetní technika umožňuje určit skutečně optimální pořezová schemata. Předkládaný výpočetní program vypočítává pořezová schemata pro libovolné čepové průměry výřezů a průřezy řeziva. Přitom bere ohled na řadu dalších podmínek: délku výřezu, spádnost výřezu, poměr šířky a výšky prizmy v případě pořezu prizmovaním, oblinovatost řeziva, přídavky na sesychání, počty středových desek i bočních prken. Pořezová schemata jsou počítána pro pořez prizmováním, dvojitou prizmu, pořez na ostro, pořez na ostro s následným omítáním a pro pořez latí a hranolků. Pro pořez prizmováním a pořez na ostro vytvoří program vhodně setříděný soubor pořezových schemat, který je základem pro další výpočty, které mohou být podkladem pro řadu analytických a plánovacích prací ve výzkumu i v praktickém řízení pilařské výroby jako je určení optimálních čepových průměrů výřezů pro dané průřezy řeziva, určení optimálních průřezů řeziva pro dané čepové průměry výřezů, výpočet výtěže středového a bočního řeziva, určení šířkové skladby bočního řeziva, sestavení optimálních operativních pořezových plánů, získávání vstupních informací pro taktické a strategické pořezové plány, získávání informací pro analýzy vlivů vybraných faktorů na výtěž řeziva a štěpek a získávání vstupních informací pro analýzy chování pilařských linek za různých pořezových situací při počítačové simulaci jejich činnosti.


New Page 1

Projekty

Většina činností, týkajících se optimalizačních výpočtů, se odehrává v prostředí, kterému budeme říkat projekt. Projekt je souborem různých typů dat, která spolu navzájem souvisejí a která jsou nutná pro jednotlivé druhy optimalizačních výpočtů.

V okamžiku, kdy provádíme optimalizační výpočty, pracujeme s daty právě jednoho projektu. To znamená, že musíme nejdříve vytvořit projekt, naplnit jej potřebnými daty a teprve potom můžeme zahájit výpočty. Projekt nemusíme vytvářet bezprostředně před zahájením výpočtu, můžeme jej vytvořit s předstihem kdykoliv dříve a uložit jej ve formě diskového souboru jako soubor libovolného jména s příponou prj. Můžeme tak uchovávat více různých projektů, které odpovídají např. podmínkám v různých pilařských provozech nebo různým variantám strategie našeho přístupu k řešení jednotlivých optimalizačních úloh.

Vždy pracujeme s jedním projektem, můžeme kdykoliv otevřít ( stáhnout s disku) jiný projekt nebo začít vytvářet zcela nový projekt, pak ale ztrácíme kontakt s aktuálním projektem. Samozřejmě ale vždy dostaneme možnost uložit případné změny aktuálního projektu na disk ještě před zahájením práce s dalším projektem. Práci s projektem začínáme kliknutím myší v hlavním menu na položku Soubory a dále postupným klikáním myší na položky submenu Nový anebo Otevřít a následně na položku Projekt. Na obrazovce se objeví okno projektu, které nám umožní editaci komponent projektu.

Doba bezprostředně po nastartování optimalizačního programu je doba, ve které ještě nejsme v prostředí žádného projektu. I když nelze v této době provádět optimalizační výpočty, protože tyto výpočty potřebují data projektu, můžeme v tomto stavu vytvářet tzv. komponenty. (Pozor, samostatné komponenty lze vytvářet stejně i v prostředí projektu!) Komponenty jsou datové soubory určitého typu ( např. nadměrky, šířky bočního řeziva, údaje o surovině atd.), které na jedné straně můžeme samostatně vytvářet, editovat a ukládat do diskových souborů, ale které na druhé straně jsou také součástí a základními stavebními kameny jednotlivých projektů. Do projektů je vkládáme buď kopírováním z diskových souborů samostatně existujících komponent nebo je můžeme vytvořit pouze v rámci určitého projektu. Zkopírujeme-li určitou komponentu do projektu, můžeme ji v rámci projektu modifikovat a v rámci projektu ji modifikovanou uložit na disk. Původní samostatná komponenta přitom zůstane nemodifikována. To umožňuje sdílení stejných komponent různými projekty, na přiklad komponentu s nadměrky pro smrk a jedli bude zřejmě sdílet více projektů.

Každý projekt se skládá z následujících komponent:
technologie pořezu
pilařská surovina
řezivo
řezivo pro optimalizaci třídění suroviny
ceník řeziva
šířky bočního řeziva
nadměrky

Projekt nemusí nutně obsahovat komponenty všech typů k tomu, abychom s ním mohli úspěšně pracovat. Například, pokud nás nebude zajímat finanční ohodnocení vytěženého řeziva, nebudeme zřejmě potřebovat ceník řeziva. Na druhou stranu se asi těžko obejdeme bez údajů o technologii pořezu ...


Komponenty

Veškeré optimalizační výpočty probíhají v rámci projektu. Každý projekt může obsahovat až sedm různých typů datových souborů - komponent. Komponenty obsahují data potřebná pro optimalizační výpočty. Komponenty projektu jsou součástí projektu, mohou být v rámci projektu libovolně modifikovány a jejich modifikovaná podoba je ukládána do diskového souboru projektu. Současně ale mohou komponenty existovat na diskových souborech nezávisle na projektech. Do projektů mohou být z těchto souborů kopírovány, více projektů tak může využít data jediné komponenty ( například komponenty nadměrků pro určitou dřevinu). Projekt nemusí nutně obsahovat komponenty všech typů, záleží na druhu výpočtů, které se budou v rámci projektu realizovat.

Pokud jsou komponenty součástí projektu, práci s nimi zahajujeme v okně projektu. Pokud ale chceme pracovat se samostatnou komponentou uloženou na disku nebo pokud chceme vytvořit takovou komponentu, klikneme v hlavním menu postupně na volby Soubory, Nový ( anebo Otevřít ), Komponenta a naposled na řádek s názvem typu komponenty. Existující komponentu vybíráme prostřednictvím standardního dialogového okna pro výběr souborů. Vlastní práce s komponentou probíhá prostřednictvím dialogového okna podle typu komponenty. Komponentu lze zpřístupnit rovněž prostřednictvím tlačítka toolbaru.

Výsuvné menu na pravé straně grafického symbolu pro komponentu nám umožní výběr buď editace existující komponenty nebo vytvoření komponenty nové. Po provedení výběru se na obrazovce objeví okno s grafickými symboly jednotlivých typů komponent. Kliknutím levého tlačítka myši vybereme grafický symbol komponenty požadovaného typu a klikneme na tlačítko OK. Program buď otevře standardní okno pro vyhledávání souboru komponenty na disku a potom po vyhledání souboru s komponentou otevře příslušné dialogové okno pro práci s komponentou anebo v případě nové komponenty otevře toto dialogové okno okamžitě.

Optimalizační program využívá následující typy komponent:

Technologie pořezu

Tato komponenta obsahuje údaje nutné zejména pro korektní výpočet pořezových schemat, jedná se převážně o údaje související s technologií pořezu:

Údaje o velikosti řezných spár jsou udávány zvlášť pro pořez TAM i pro pořez ZPĚT, zvlášť je možno zadat řeznou spáru i pro omítání. Řezné spáry jsou obvykle udávány jako konstanty, v některých případech, např. pro pořez kotoučovými pilami, jsou udávány ve formě tabulek, ve kterých je uváděna velikost spáry v závislosti na velikosti čepového průměru výřezu respektive v závislosti na výšce prizmy.

Uživatel může programu navrhnout libovolnou tloušťku boku nebo i kombinaci libovolných tlouštěk boku zvlášt pro pořez TAM i ZPĚT anebo navrhne programu až čtyři různé tloušťky boku, ze kterých program při návrhu pořezového schematu vybírá optimální tloušťku respektive optimální kombinaci tlouštěk boku, opět zvlášť pro pořez TAM a pro pořez ZPĚT.

Udává se nejmenší možná délka bočního řeziva a interval krácení bočního řeziva. Program při výpočtu pořezového schematu „krátí“ o velikost tohoto intervalu boční řezivo z délky výřezu až k nejmenší přípustné délce boku, do pořezového schematu je zařazena délka bočního řeziva nejvhodnější z hlediska optimalizačního kriteria, což je obvykle hledisko maximalizace výtěže boku.

Některé další parametry ovlivňující režim výpočtu, jedná se zejména o koeficienty pro vyloučení pořezu mělké a hluboké prizmy, koeficienty regulující pořez řeziva s oblinami a koeficient sbíhavosti výřezu.

Tato komponenta je pro všechny druhy výpočtů prakticky nepostradatelná, diskové soubory obsahující technologické údaje mají příponu tch.

Pilařská surovina

Komponenta obsahuje množství suroviny v jednotlivých skupinách užívaného třídění podle velikosti čepových průměrů výřezů, program automaticky provádí aproximaci rozložení suroviny do intervalů po 1 cm, tuto aproximaci používá při výpočtech.

Uživatel může pro každý soubor suroviny navrhnout jiný způsob třídění dle velikostí čepových průměrů výřezů, optimalizační výpočty se pak provádějí na základě třídění suroviny navrženém uživatelem.

Komponenta je nepostradatelná pro výpočet optimální pořezové strategie a pro výpočet optimálního třídění suroviny, není nezbytně nutná pro individuální výpočet pořezových schemat. Diskové soubory obsahující údaje o surovině mají příponu srv.

Řezivo

Komponenta s údaji o řezivu, tyto údaje jsou nezbytné pouze pro výpočet optimální strategie pořezu. Komponenta obsahuje požadavky na středové řezivo, které je třeba vyrobit ze suroviny, která je k dispozici. Optimalizační výpočet pracuje se řezivem vyráběným metodou prizmováním, metodou pořezu na ostro respektive metodou pořezu na ostro s následným omítáním. Komponenta obsahuje údaje o způsobu pořezu, údaj o tloušťce a šířce řeziva (o minimální šířce pro pořezy na ostro) , případně požadavek na proříznutí dřeně pro pořez na ostro. Výpočet je prováděn pro jednu (např. nejčetnější) délku řeziva, tato délka je zadávána až při zahájení výpočtu. Pro každý rozměr řeziva můžeme zadat minimální požadované množství tohoto řeziva respektive můžeme zadat i maximální požadované množství řeziva.

Diskové soubory obsahující údaje o řezivu mají příponu rez.

Řezivo pro optimalizaci třídění suroviny

Komponenta s údaji o řezivu, tyto údaje jsou nezbytné pouze pro výpočet optimálního způsobu třídění pilařských výřezů na skládky. Komponenta obsahuje seznam rozměrů středového řeziva, které je možné vyrábět ze suroviny, která je k dispozici, metodou prizmováním. Zadána je pouze tloušťka a šířka, výpočet probíhá pro jedinou délku, která je zadána před zahájením výpočtu. Optimalizační výpočet se snaží najít takové rozdělení výřezů do předem daného počtu skládek, aby při jejich pořezu dosáhl maximální výtěže řeziva za předpokladu, že bude vyráběno řezivo obsažené v komponentě.

Diskové soubory obsahující údaje o řezivu mají příponu rzt.

Ceník řeziva

Komponenta obsahuje ceny řeziva v závislosti na rozměrech řeziva, druhu ( střed, bok) a na způsobu zpracování řeziva (omítané a neomítané řezivo). Ocenit lze i piliny a štěpky. Komponenta umožňuje ocenit nejen řezivo, které je výsledkem výpočtu optimální pořezové strategie, ale umožňuje ocenit i jednotlivá pořezová schemata. Pokud ocenění nepožadujeme, není tato komponenta nezbytná.

Diskové soubory obsahující údaje ceníku mají příponu cen.

Šířky bočního řeziva

Komponenta obsahuje všechny přípustné šířky bočního řeziva. Program při konstrukci pořezových variant vybírá optimální šířku bočního řeziva pouze z těchto údajů. Optimalizační výpočty lze realizovat i bez této komponenty, ale je nutno počítat s tím, že nebude počítáno boční řezivo.

Diskové soubory obsahující údaje o šířkách bočního řeziva mají příponu srb.

Nadměrky

Komponenta obsahuje pro zadané intervaly "čistých" rozměrů odpovídající nadměrky, které jsou v průběhu výpočtu přičítány ke každému čistému rozměru řeziva (tloušťce nebo šířce). Z ryze technického hlediska není přítomnost komponenty s nadměrky nezbytně nutná, program pouze upozorní, že při výpočtech nemá nadměrky k dispozici, ale z praktického hlediska bude zřejmě existence nadměrků vyžadována.

Diskové soubory obsahující údaje o šířkách bočního řeziva mají příponu ndm.


NovyProjekt

Nový projekt

Všechny údaje potřebné k jednotlivým optimalizačním výpočtům, jsou obsaženy v rámci jednoho projektu. Na diskových pamětech můžeme uchovávat libovolné množství projektů. Uložený projekt si můžeme kdykoliv stáhnout z disku do paměti počítače a pracovat s daty projektu. Pracujeme vždy s daty právě jednoho projektu. Každý projekt tak může obsahovat data pro určitou variantu výpočtu, hledisko variability jednotlivých variant zůstává na uživateli.

Nový projekt začínáme vytvářet kliknutím myší v hlavním menu na položku Soubory a dále postupným klikáním myší na položky submenu Nový a na položku Projekt.

Na obrazovce se objeví formulář s výzvou k zadání názvu projektu. Tento název se následně objevuje v okně každého projektu a slouží víceméně k identifikačním účelům. Po zadání názvu projektu a jeho potvrzení tlačítkem OK, se objeví prázdné okno projektu:

Každý projekt obsahuje až sedm různých datových souborů - komponent projektu. V okně projektu jsou jednotlivé komponenty (technologie pořezu, pilařská surovina, řezivo, řezivo optimalizace třídění, ceník řeziva, šířky bočního řeziva, nadměrky) prezentovány specifickým grafickým symbolem. Jestliže projekt určitou komponentu neobsahuje, objeví se u názvu komponenty otazník. Klikneme-li do prostoru okna projektu pravým tlačítkem myši, objeví se kontextové menu ( viz obrázek), které nám nabídne možnost volby práce s projektem. První tři volby se týkají projektu jako celku, v tomto okamžiku již například můžeme uložit prázdný projekt na disk pod libovolným názvem ( ukládá se automaticky s příponou prj ) a pokračovat v naplňování projektu daty třeba později. Další čtyři volby nám umožňují pracovat s jednotlivými komponentami projektu. Pracuje se vždy s komponentou, která byla vybrána v okně projektu, v naší ukázce to je komponenta se šířkami bočního řeziva. Pokud máme již komponentu vytvořenou a uloženou na disku, můžeme ji k projektu přiřadit. Přiřazená komponenta se do projektu skutečně fyzicky včlení a případné změny v původní komponentě se na ní neprojeví ( a samozřejmě naopak). Komponentu projektu můžeme kdykoliv nahradit komponentou stejného typu ( i novou), nejdříve ale musíme komponentu z projektu odstranit. Pokud klikneme myší na možnost vytvořit novou komponentu projektu, objeví se odpovídající dialogové okno pro vytvoření komponenty. Nově vytvořená komponenta se automaticky včlení do projektu, zároveň je nám dána navíc možnost uložit vytvořenou komponentu samostatně na disk a použít ji i v jiných projektech. Existující komponentu projektu můžeme také kdykoliv editovat a rovněž můžeme editovanou komponentu uložit samostatně pod libovolným názvem na disk.


Technologie pořezu

Dialogové okno s formulářem pro vstup technologických údajů pořezu vyvoláme z okna projektu. Levým tlačítkem myši kliknutím vybereme řádek s popiskem Technologie pořezu, následně vyvoláme kontextové menu kliknutím pravým tlačítkem myši v okně projektu a levým tlačítkem myši kliknutím aktivujeme volbu Vytvořit novou komponentu projektu ( respektive volbu Editovat komponentu v případě, že se nejedná o novou komponentu). Popsaný proces můžeme nahradit dvojklikem levým tlačítkem myši na řádek s popiskem Technologie pořezu v okně projektu.

Vyvolané dialogové okno nám umožní vložit do paměti počítače údaje nutné pro výpočet pořezových variant, a to údaje, které souvisí jak s technologickými možnostmi výrobního závodu, tak i s některými požadavky na dimenze vyráběného řeziva.

První tři vstupní řádky dialogového okna slouží pro vstup údajů o velikosti řezných spár. Velikosti řezných spár se udávají v mm s přesností až na jedno desetinné místo.Údaje se ukládají zvlášt pro pořez TAM, pro pořez ZPĚT a pro omítání. V některých případech ( např. při pořezu kotoučovými pilami ) je výhodnější zadat velikost řezné spáry ve formě tabulky. V tabulce pro pořez TAM je velikost řezné spáry ukládána v závislosti na velikosti čepového průměru výřezu a pro pořez ZPĚT je velikost řezné spáry ukládána v závislosti na výšce prizmy. Rozhodovací boxy v pravé části okna sdělují programu, zda má při výpočtu pro jednotlivé směry pořezu použít konstantní velikost řezné spáry uvedenou v příslušné vstupní řádce dialogového okna nebo zda má použít údaje z tabulky.

Pomocí koeficientů omezení prizmy jsme schopni vyloučit výpočet variant pořezu s mělkou nebo s hlubokou prizmou. Význam jednotlivých koeficientů je následující:

Označíme-li symboly Q1 a Q2 první a druhý koeficient omezení, označíme-li dále symbolem SIRN šířku středového řeziva včetně nadmíry a je-li symbolem CP oznažena velikost nejmenšího čepového průměru výřezu ve skupině třídění, potom za předpokladu, že všechny rozměry jsou uvedeny ve stejných jednotkách, bude program počítat pořezovou variantu jen tehdy, bude-li platit vztah:

Q1 x CP <= SIRN <= Q2 x CP

Pro běžné výpočty nám budou např. stačit hodnoty Q1 = 0.55 a Q2 = 0.9. Nechceme-li naopak pořez z hlediska hloubky prizmy vůbec omezovat, zvolíme velikost koeficientu Q1 rovnu nule a velikost koeficientu Q2 rovnu jedné.

Koeficienty oblin středového a bočního řeziva:

Tyto koeficienty nám umožňují výpočet pořezových variant, které připouští obliny na deskách bočního řeziva respektive připouští obliny na krajní desce středového řeziva. Nulová hodnota koeficientu oblin znamená, že pro daný druh řeziva obliny nepřipouštíme. Význam kladné hodnoty koeficientu oblin si vysvětlíme na vedlejším obrázku:

Předpokládejme, že jsme zadali koeficient oblin K pro boční řezivo. Na obrázku je vidět umístění desky bočního řeziva o tloušťce Tb. Program hledá v seznamu přípustných šířek bočního řeziva optimální ( t.j. maximální) šířku Sb, která by odpovídala čepovému průměru výřezu. Při nulovém koeficientu oblin nesmí být tato šířka (včetně nadmíry) zřejmě větśí než tetiva čepu výřezu v místě vnějšího okraje boční desky. Při kladném koeficientu oblin se tetiva vymezující možnou šířku boční desky Sb posune směrem k ose výřezu o vzdálenost Dt, která je dána součinem tloušťky boční desky Tb a koeficientu oblin K. Tak například poměrně často užívaný koeficient 0.125 posune výběr šířky boku směrem k ose čepu o vzdálenost rovnou právě jedné osmině tloušťky boční desky.

Maximální počty desek středového a bočního řeziva

Parametry, které nám umožňují v souladu s našimi technologickými možnostmi předepsat programu maximální možné počty středových respektive bočních desek se kterými může počítat při konstrukci pořezové varianty. Maximální počty bočních desek jsou uváděny zvlášť pro pořez TAM i ZPĚT a pouze pro jednu stranu závěsu ! Program akceptuje maximálně čtyři boční desky na jedné straně závěsu. Nulová hodnota parametru znamená, že boční řezivo v daném směru neřežeme.

Interval krácení bočního řeziva, minimální délka boku

Parametr minimální délky bočního řeziva definuje nejmenší možnou délku bočního řeziva v metrech. Program postupně přičítá k této délce interval krácení délky boku až do délky výřezu včetně, dopočítá odpovídající šířku boku po omítnutí a do výsledné pořezové varianty zařadí desku bočního řeziva s největším objemem. Nulová hodnota parametru intervalu krácení řeziva signalizuje programu, že se s krácením bočního řeziva nepočítá.

Sbíhavost výřezu

Program pracuje pouze s konstantní sbíhavostí výřezu. Sbíhavost se udává v centimetrech přírůstku čepového průměru na jeden běžný metr délky výřezu. Obvykle zadáváme velikost sbíhavosti jeden centimetr na jeden délkový metr.

Varianty tloušťek bočního řeziva

Kombinace tloušťek bočního řeziva, které se zadávají zvlášť pro pořez TAM a zvlášť pro pořez ZPĚT, může zadat buď sám uživatel anebo ponechá tuto práci počítači. Uživatel zadává tloušťky boku ( na jedné straně závěsu) směrem od osy výřezu. Pokud se poslední tloušťka opakuje, není ji nutné zadávat, v případě potřeby si program poslední zadaný rozměr doplní sám. V případě, že je výběr kombinace tloušťek boku ponechán na počítači, zadá uživatel až čtyři různé tloušťky bočního řeziva, počítač z nich vytvoří kombinaci ( včetně libovolného opakování jedné tloušťky), která dá nejvyšší výtěž bočního řeziva. Přitom se pouze dodržuje pravidlo, že větší tloušťka je vždy blíže ose výřezu.


Surovina

Pilařská surovina

Dialogové okno s formulářem pro vstup údajů o pilařské surovině pořezu vyvoláme z okna projektu. Levým tlačítkem myši kliknutím vybereme řádek s popiskem Pilařská surovina, následně vyvoláme kontextové menu kliknutím pravým tlačítkem myši v okně projektu a levým tlačítkem myši kliknutím aktivujeme volbu Vytvořit novou komponentu projektu ( respektive volbu Editovat komponentu v případě, že se nejedná o novou komponentu). Popsaný proces můžeme nahradit dvojklikem levým tlačítkem myši na řádek s popiskem Pilařská surovina v okně projektu.

Údaje o surovině vkládáme do programu v plm množství suroviny rozdělené do konečného počtu skupin třídění podle velikosti čepových průměrů výřezů. Může se jednat např. o skutečné množství disponibilní suroviny ve výrobní jednotce rozdělené na skládky podle užívaného způsobu třídění suroviny nebo může jít o fiktivní představu uživatele. Program akceptuje jako nejjemnější interval třídění interval délky jeden cm. Program aproximuje rozložení dřevní hmoty na třídění po jednom cm a tuto aproximaci pak využívá při výpočtech průměrných výtěží Průměrné výtěže vždy vztahuje k třídění definovanému uživatelem. Toto třídění musí uživatel buď explicitně definovat nebo je program ztotožní s tříděním, ve kterém mu byly předloženy vstupní údaje o surovině.

Data vkládáme ve formě údajů o množství suroviny obsaženém v jednotlivých skupinách třídění podle velikostí čepových průměrů výřezů. Do vstupních řádek zapíšeme velikost nejmenšího čepového průměru ve skupině třídění ( údaj zapisujeme pouze pro první skupinu třídění, pro další skupiny třídění je doplněn automaticky programem ), velikost největšího čepového průměru ve skupině třídění a množství suroviny v této skupině třídění. Údaje o velikosti čepových průměrů vkládáme v cm jako celá čísla, množství suroviny vkládáme v plm až na maximálně tři desetinná místa. Tlačítkem „Zapsat“ provedeme zápis údajů do tabulky. Při zápise musíme postupovat po jednotlivých skupinách třídění podle rostoucího nejmenšího čepového průměru ve skupině. Tlačítkem „Vymazat“ lze vymazat pouze poslední řádek v tabulce. Na tento řádek je ale nutno před použitím tlačítka „Vymazat“ nastavit pravítko. U ostatních řádků lze změnit pouze údaj o množství suroviny. Na řádek nastavíme pravítko, údaje z řádku seznamu se přenesou do vstupních řádků dialogového okna, změníme množství suroviny ve vstupní řádce označené „množství (plm):“ a vše zapíšeme zpět pomocí tlačítka „Zapsat“.

Platnost všech nově zadaných údajů respektive platnost všech změn v případě editace komponenty, potvrdíte tlačítkem OK, tlačítko Storno vrací vše do původního stavu.

Projekt musí obsahovat údaje o surovině vždy, když chceme počítat optimální pořezovou strategii anebo chceme počítat optimální třídění suroviny. Pro výpočet pořezových schemat tyto údaje nejsou nezbytně nutné, pořezová schemata v takovém případě můžeme ale počítat pouze pro jednotlivé čepové průměry a pro jednorázově zadané množství suroviny.

Pro přesnost výpočtů, které využívají informaci o surovině, nemusí být výše uvedený způsob zadávání suroviny podle množství v jednotlivých skupinách třídění zcela vhodný. Program při těchto výpočtech musí pracovat s údaji o množství suroviny v jednotlivých čepových průměrech ( v základním třídění po 1 cm). Provádí si proto lineární aproximaci rozložení suroviny po 1 cm, která se v některých případech může významněji odchylovat od skutečnosti. Ideálním stavem je stav, kdy známe množství suroviny v jednotlivých čepových průměrech základního třídění po 1 cm. Surovinu zadáme výše uvedeným způsobem v základním třídění po 1 cm a následně dodáme programu informaci o skutečném třídění suroviny používaném ve výrobní jednotce. To lze provést prostřednictvím dialogového okna, které nám umožní změnit způsob třídění suroviny a umožňuje nám změnit i celkové množství suroviny, přičemž poměr množství suroviny v jednotlivých čepových průměrech zůstane zachován. P

V okně projektu, který již obsahuje komponentu pilařské suroviny, nastavíme levým tlačítkem myši pravítko na řádek s popiskem Pilařská surovina. Pravým tlačítkem myši klikneme do prostoru okna projektu, tím vyvoláme kontextové menu. Kurzor myši nastavíme postupně na podvolby "Editovat komponentu surovina" a "Třídění navržené uživatelem". Kliknutím levého tlačítka vyvoláme dialogové okno s nadpisem Surovina v jednotlivých čepech ...

V tomto dialogovém okně máme možnost měnit hranice třídění suroviny a rovněž dostáváme možnost změnit celkové množství suroviny.

Možnost změny celkového množství suroviny lze využít v případě, pokud více méně známe procentuální zastoupení suroviny v jednotlivých čepových průměrech základního třídění po 1 cm. Místo množství plm v jednotlivých čepových průměrech zadáváme množství suroviny v procentech. Celkové množství suroviny musí dát číslo 100.

Následně v dialogovém okně pro návrh třídění uživatelem, změníme celkové množství suroviny z hodnoty 100 na hodnotu skutečného množství suroviny ve výrobní jednotce. Množství v jednotlivých čepových průměrech se změní v souladu s jejich procentuálním zastoupením.

Program při výpočtu optimální strategie pořezu a při výpočtu pořezových schemat vždy pracuje s tříděním suroviny navrženým uživatelem !

.


Rezivo

Řezivo

Dialogové okno s formulářem pro vstup údajů o řezivu vyvoláme z okna projektu. Levým tlačítkem myši kliknutím vybereme řádek s popiskem Řezivo, následně vyvoláme kontextové menu kliknutím pravým tlačítkem myši v okně projektu a levým tlačítkem myši kliknutím aktivujeme volbu Vytvořit novou komponentu projektu ( respektive volbu Editovat komponentu v případě, že se nejedná o novou komponentu). Popsaný proces můžeme nahradit dvojklikem levým tlačítkem myši na řádek s popiskem Řezivo v okně projektu.

Tato komponenta obsahuje údaje o řezivu, které jsou nutné pro optimalizaci pořezové strategie ve výrobní jednotce. Komponenta musí být v projektu obsažena vždy, když chceme tento optimalizační výpočet provádět. Optimalizační výpočet nám dává odpověď na otázku, ze kterých skupin třídění suroviny a v jakém množství vyrábět jednotlivé rozměry řeziva, abychom vyhověli požadavkům na celková množství středového řeziva v jednotlivých rozměrech a zároveň jsme optimalizovali celkový pořez z určitého hlediska. Toto hledisko může být minimalizace pořezané suroviny, maximalizace množství středového řeziva anebo maximalizace množství řeziva celkem respektive maximalizace celkové finanční hodnoty řeziva. Pro řezivo zadáváme jen jeho tloušťku a šířku a výpočet se provádí pro jednu ( obvykle nejčetnější) délku, ta se zadává až v okamžiku před zahájením výpočtu. Pro každou dvojici rozměrů určíme druh pořezu, pro oba pořezy na ostro určíme ještě povinnost rozříznutí dřeně výřezu ( rovná se požadavku na sudý počet desek středového řeziva). Pro pořez na ostro s následným omítáním musíme ještě nastavit velikost intervalu změny šířky omítané desky. Šířka desky bude maximálním možným celočíselným násobkem tohoto intervalu. Pro každý rozměr a druh řeziva můžeme určit i minimální požadované množství tohoto řeziva. Pokud toto množství neurčíme, objeví se řezivo ve výsledku optimalizačního výpočtu v závislosti na zvoleném způsobu optimalizace. Například budeme-li minimalizovat množství pořezané suroviny, nebude se toto řezivo zřejmě vyrábět vůbec, při maximalizaci celkového množství středového řeziva se náš rozměr řeziva ve výsledku objeví zřejmě tehdy, pokud alespoň v jedné ze skupin třídění suroviny bude dosahovat vysoké středové výtěže. Obdobným způsobem máme možnost určit maximální požadované množství určitého druhu a rozměru řeziva. Minimum a maximum řeziva ale nejsou povinné údaje.

Jednotlivé záznamy realizujeme aktivací tlačítka Zapsat. Nastavíme-li v seznamu pravítko na libovolný záznam, můžeme jej odstranit pomocí tlačítka Vymazat nebo editovat a opětně zapsat. Nový záznam zapisujeme při pravítku nastaveném na posledním řádku s otazníky.

Tlačítkem OK uložíme všechny změny, tlačítko Storno vrací vše do původního stavu.


RezivoOpt

Řezivo optimalizace třídění

Dialogové okno s formulářem pro vstup údajů o řezivu pro optimalizaci třídění suroviny vyvoláme z okna projektu. Levým tlačítkem myši kliknutím vybereme řádek s popiskem Řezivo optimalizace třídění, následně vyvoláme kontextové menu kliknutím pravým tlačítkem myši v okně projektu a levým tlačítkem myši kliknutím aktivujeme volbu Vytvořit novou komponentu projektu ( respektive volbu Editovat komponentu v případě, že se nejedná o novou komponentu). Popsaný proces můžeme nahradit dvojklikem levým tlačítkem myši na řádek s popiskem Řezivo optimalizace třídění v okně projektu.

Důležitým faktorem při optimalizaci pořezové strategie je rovněž způsob třídění suroviny do jednotlivých skládek podle velikosti čepových průměrů pilařských výřezů. Řezivo bývá obvykle tříděno po 2 až 3 cm velikosti čepového průměru. Počet skládek bývá obvykle limitovaný shora prostorovými možnostmi výrobní jednotky. Při pořezu suroviny z jedné skládky je závěs nastaven s ohledem na velikost nejmenšího čepového průměru ve skupině. Způsob třídění se v jednotlivých výrobních jednotkách obvykle dlouhodobě nemění a většinou bývá historickou záležitostí. Ne vždy ale musí být optimální. Pokud máme dobrý přehled o pravděpodobném výskytu pilařské suroviny v čepových průměrech základního třídění po 1 cm, pokud je tento výskyt z dlouhodobého hlediska stabilní a pokud máme stabilní i výrobní program, můžeme se pokusit o návrh nového způsobu třídění suroviny. Program tuto možnost dává, potřebuje k výpočtu znalost rozložení suroviny podle jednotlivých čepových průměrů ( viz komponentu Pilařská surovina), které by mělo být v tomto případě co nejpřesnější, rozhodně bychom se neměli spokojit s lineární aproximací provedenou programem. Dále je nutné programu zadat určitou množinu rozměrů středového řeziva, které se ve výrobní jednotce vyrábí respektive by se mohlo vyrábět v množství, které by odpovídalo množství disponibilní suroviny. Program navrhne způsob třídění pro zadaný počet skládek tak, aby celková výtěž středového řeziva (nebo výtěž řeziva celkem) při pořezu disponibilní suroviny byla maximalizována, a to za předpokladu pořezu pouze řeziva zadaných rozměrů. Pro každou skládku program vybere nejvhodnější rozměr řeziva. Takto navržené třídění suroviny ještě stále nemusí být optimální z hlediska výrobního programu závodu. To lze ale jednoduše ověřit výpočtem optimální pořezové strategie pro výrobní program závodu, a to alternativně pro stávající třídění a pro třídění navržené programem.

Zadáváme pouze tloušťku a šířku středového řeziva, výpočet je prováděn pro jednu délku, která se zadává bezprostředně před zahájením výpočtu. Pracuje se pouze s pořezem prizmováním, pořez na ostro by zkresloval středovou výtěž.

Jednotlivé záznamy zapisujeme aktivací tlačítka Zapsat. Nastavíme-li v seznamu pravítko na libovolný záznam, můžeme záznam odstranit pomocí tlačítka Vymazat nebo můžeme záznam editovat a opětně zapsat. Nový záznam zapisujeme při pravítku nastaveném na posledním řádku s otazníky.

Tlačítkem OK uložíme všechny změny, tlačítko Storno vrací vše do původního stavu.


Cenik

Ceník řeziva

Dialogové okno s formulářem pro vstup údajů o cenách řeziva vyvoláme z okna projektu. Levým tlačítkem myši kliknutím vybereme řádek s popiskem Ceník řeziva, následně vyvoláme kontextové menu kliknutím pravým tlačítkem myši v okně projektu a levým tlačítkem myši kliknutím aktivujeme volbu Vytvořit novou komponentu projektu ( respektive volbu Editovat komponentu v případě, že se nejedná o novou komponentu). Popsaný proces můžeme nahradit dvojklikem levým tlačítkem myši na řádek s popiskem Ceník řeziva v okně projektu.

Komponenta nám umožňuje definovat ocenění řeziva, pilin a štěpek. Ve většině případů nám půjde o skutečnou cenu těchto produktů ve finančním vyjádření, ale pro účely optimalizace nelze vyloučit i jiný způsob jejich „ocenění“. Pokud ceny pilin a štěpek zadáme a pokud vyplníme tabulky cen řeziva (ceníky), program nám při výpočtu pořezových variant tyto varianty ocení, t.j. uvede nám finanční hodnotu výsledného produktu. V případě výpočtu optimální pořezové strategie máme navíc možnost volit jako optimalizační kriterium maximální finanční hodnotu vyrobeného řeziva místo maximální celkové či středové hmotové výtěže.

Každá řádka ceníku obsahuje cenu řeziva v ceně/m3 pro určitou skupinu řeziva. Každá skupina je definována svou minimální a maximální tloušťkou, šířkou a délkou, druhem řeziva (střed, bok, střed i bok) a způsobem zpracování ( omítané nebo neomítané řezivo ). Pokud chceme specifikovat jeden určitý rozměr řeziva, musíme položit minimum rozměru rovno jeho maximu. Rozměry řeziva a jeho cenu zapíšeme do vstupních řádek, druh řeziva a způsob jeho zpracování nastavíme v rozhodovacích boxech a tlačítkem „Zapsat“ vložíme údaj do ceníku. Tlačítkem „Vymazat“ odstraníme ze seznamu položku ceníku na které je umístěno pravítko. Jednotlivé hraniční rozměry můžeme zcela vynechat, tím počítači sdělujeme, že takový rozměr je zdola respektive shora neomezen. Měnovou jednotku můžeme zvolit z přednastavených měnových jednotek nebo si můžeme nadefinovat vlastní měnovou jednotku jejím zápisem do textového pole seznamu ( maximálně 8 znaků).

Počítač prohledává ceník odshora dolů pro každou desku, kterou má ocenit. Nalezne-li v ceníku řádek, kde všechny atributy odpovídají oceňované desce řeziva, akceptuje příslušnou cenu a ceník dále neprohledává. Pokud tedy chceme specifikovat odlišnou cenu pro určitý rozměr řeziva, který by jinak patřil do některé hromadně oceněné skupiny rozměrů, musíme jeho cenu uvést jako samostatný údaj a v ceníku jej musíme umístit před údajem o této skupině !

Přítomnost komponenty v projektu není nutná, pokud nebudeme požadovat ocenění řeziva. Pokud program při výpočtu narazí na desku řeziva, kterou nemůže ocenit, oznámí nám tuto skutečnost včetně informace o rozměrech desky. Podle našeho rozhodnutí může ve výpočtu pokračovat, ale samozřejmě bez ocenění výsledku výpočtu.

Tlačítkem OK uložíme všechny změny, tlačítko Storno vrací vše do původního stavu.


SirkyBok

Šířky bočního řeziva

Dialogové okno s formulářem pro vstup údajů o šířkách bočního řeziva vyvoláme z okna projektu. Levým tlačítkem myši kliknutím vybereme řádek s popiskem Šířky bočního řeziva, následně vyvoláme kontextové menu kliknutím pravým tlačítkem myši v okně projektu a levým tlačítkem myši kliknutím aktivujeme volbu Vytvořit novou komponentu projektu ( respektive volbu Editovat komponentu v případě, že se nejedná o novou komponentu). Popsaný proces můžeme nahradit dvojklikem levým tlačítkem myši na řádek s popiskem Šířky bočního řeziva v okně projektu.

Při výpočtu pořezových schemat se kromě středového řeziva počítá rovněž boční řezivo. Šířky desek bočního řeziva se mění v závislosti na vzdálenosti desky od osy výřezu. Komponenta by měla obsahovat seznam všech přípustných šířek bočního řeziva. Obvykle se jednotlivé šířky v seznamu od sebe liší o konstantní hodnotu. V každém případě jsou setříděny vzestupně podle své velikosti. Když program umisťuje do pořezového schematu boční desku, zjistí si velikost prostoru pro šířku desky. Vybere pak největší přípustnou šířku ze seznamu, která se do prostoru ještě vejde. To provádí i v případě hledání šířky délkově kráceného řeziva. Pokud komponenta se šířkami bočního řeziva chybí, program při výpočtu pořezových schemat na tuto skutečnost upozorní, ale umožní nám ve výpočtu pokračovat, samozřejmě, že bez bočního řeziva.

Způsob zadávání jednotlivých šířek je velmi jednoduchý. Šířku zapíšeme do vstupního textového boxu a odešleme do seznamu tlačítkem Zapsat. Šířka se do seznamu zařadí na vhodné místo podle své velikosti. Tlačítkem Vymazat můžeme odstranit ze seznamu šířku, na které je umístěno pravítko. Tlačítky s čísly lze velmi rychle přidávat na konec seznamu šířky, jejichž velikost je o číslo uvedené na tlačítku větší, než velikost poslední šířky v seznamu. Seznam můžeme například rychle vytvořit tak, že zapíšeme jen první hodnotu např. 60 a potom opakovaným klikáním myší třeba na tlačítko s číslicí 5 vytvoříme seznam přípustných šířek boku.

Tlačítkem OK uložíme všechny změny, tlačítko Storno vrací vše do původního stavu.


Nadmerky

Nadměrky

Dialogové okno s formulářem pro vstup údajů o nadměrcích vyvoláme z okna projektu. Levým tlačítkem myši kliknutím vybereme řádek s popiskem Nadměrky, následně vyvoláme kontextové menu kliknutím pravým tlačítkem myši v okně projektu a levým tlačítkem myši kliknutím aktivujeme volbu Vytvořit novou komponentu projektu ( respektive volbu Editovat komponentu v případě, že se nejedná o novou komponentu). Popsaný proces můžeme nahradit dvojklikem levým tlačítkem myši na řádek s popiskem Nadměrky v okně projektu.

S programem jsou obvykle dodávány soubory se standardními nadměrky pro jedli/smrk, borovici a modřín, můžeme si ale vytvořit svůj vlastní soubor s nadměrky. Tato skutečnost může být výhodná například při pořezu řeziva na export.

Program při výpočtech bere do úvahy rovněž nadmíry rozměrů řeziva. Nadměrky vybírá program z tabulky nadměrků, která obsahuje dva sloupce. V prvním sloupci je v každém řádku tabulky uveden celočíselný rozměr v mm, ve druhém sloupci odpovídající nadměrek. Nadměrek je uváděn jako reálné číslo, můžeme tedy vkládat i údaje za desetinnou čárkou. Nadměrek z druhého sloupce řádku je přičítán ke každému čistému rozměru řeziva (bez ohledu na to, jedná-li se o šířku nebo tloušťku řeziva), jestliže je tento rozměr rovný nebo větší než hodnota v prvním sloupci řádku a menší než hodnota v prvním sloupci následujícího řádku nebo když se jedná o poslední řádek tabulky. Dialogové okno „Nadměrky“ obsahuje dva vstupní řádky, řádek pro vložení rozměru a řádek pro vložení hodnoty nadměrku. Oba údaje se vkládají v mm. Po vložení údajů provádíme jejich zápis do tabulky tlačítkem „Zapsat“. Jednotlivé řádky tabulky jsou tříděny vzestupně podle hodnoty rozměru. Správné zatřídění údajů do tabulky si program zajistí sám. Při zápise rozměru, který je v tabulce již uveden, požádá program o svolení odpovídající řádek tabulky přepsat. Tlačítko „Vymazat“ nám umožňuje z tabulky odstranit řádek na kterém je nastaveno pravítko.

Komponenta s nadměrky není při výpočtech programem bezpodmínečně vyžadována. Program nás ale upozorní, že nemá nadměrky k dispozici a ponechá na nás rozhodnutí, zda pokračovat ve výpočtu bez přidávání nadmíry.

Platnost seznamu nadměrků potvrdíme ukončením dialogu tlačítkem „OK“, užití tlačítka „Storno“ vrací vše do původního stavu.


Schemata

Pořezová schemata

Pro výpočet pořezových schemat je bezpodmínečně nutné abychom měli již otevřený projekt. Tento projekt musí obsahovat nejméně komponentu s údaji o technologii pořezu. Dále je nejvýše vhodné, aby projekt obsahoval komponentu s údaji o přípustných šířkách bočního řeziva a komponentu s údaji o nadměrcích. Pokud chceme počítat pořezová schemata pro jednotlivé skupiny třídění pilařských výřezů ve výrobní jednotce, je třeba, aby projekt obsahoval komponentu s údaji o surovině této výrobní jednotky. Pokud nás zajímá rovněž finanční ocenění řeziva v jednotlivých pořezových schemat, musí projekt obsahovat komponentu s ceníkem řeziva. Kliknutím na volbu Pořezová schemata, na kterou se dostaneme buď z hlavního menu, z výsuvného menu toolbaru s grafickým symbolem počítadla anebo přímo kliknutím myši na grafický symbol počítadla v toolbaru otevřeme dialogové okno pro výpočet pořezových schemat :

Nejdříve vybereme způsob pořezu. Tím se nám zpřístupní textová pole pro vstup těch údajů, které jsou charakteristické pro vybraný způsob pořezu. Pokud chceme počítat pořezová schemata pro skupiny třídění používané ve výrobní jednotce, nastavíme ve sloupci "Údaje o surovině" výběr čepových průměrů na výběr podle suroviny v projektu a zároveň vybereme ze seznamu skupinu třídění výřezů. To je možné pouze v případě, že projekt obsahuje komponentu Surovina, V opačném případě musíme sami zadat velikost jediného čepového průměru výřezu pro výpočet. V obou případech můžeme určit zda chceme výpočet realizovat pro zadané množství středového řeziva anebo chceme pořezat určité množství suroviny. Druhý z údajů je automaticky dopočítáván.

Pro výpočet schemat pořezu prizmováním stačí vyplnit údaje o tloušťce, šířce a délce středového řeziva. První dva údaje se zadávají v mm, poslední údaj v m.

V případě dvojité prizmy potřebuje program znát tloušťku středového řeziva, jeho délku a dvě šířky řeziva. Šířky je nutno zadat obě i v případě, že jsou shodné.

Pro pořez na ostro se kromě tloušťky a délky řeziva zadává tzv. nejmenší šířka. Jedná se o nejmenší ještě přijatelnou šířku vnějšího řezu poslední středové desky v závěsu směrem od osy výřezu, naměřenou na nejmenším čepu výřezu ve skupině třídění (obvykle kolem 170 mm). V rozhodovacím boxu se může ještě zadat povinnost rozříznutí dřeně výřezu. Požadavek na rozříznutí dřeně je v podstatě rovněž požadavkem na sudý počet desek středového řeziva.

Pro pořez na ostro s následným omítáním musíme zadat tloušťku středového řeziva, nejmenší šířku (viz předchozí odstavec), délku řeziva a fragment šířky středového řeziva. Předpokládá se, že všechny šířky omítaného řeziva budou celočíselným násobkem tohoto fragmentu. Tak např. velikost fragmentu 10 mm znamená, že velikosti šířek řeziva po omítnutí budou v celých číslech v centimetrech. Obdobně jako u pořezu na ostro bez omítání můžeme nastavit povinnost rozříznutí dřeně výřezu.

Pro pořez latí nebo hranolků musíme zadat tloušťku a šířku řeziva, jeho délku a tzv. nejmenší šířku (viz. pořez na ostro). Pokud potřebujeme vyříznout dřeň, musíme zadat tloušťku vyříznutí dřeně (vlastně tloušťku omítnuté středové desky). V tomto případě zadáváme i fragment šířky omítaného řeziva. Je-li zadána nulová tloušťka vyříznutí dřeně, dostává smysl nastavení rozhodovacího boxu o proříznutí dřeně a nastavení boxu o pořezu v kvadrantech. Pořez v kvadrantech při výrobě hranolků znamená požadavek na takové umístění hranolků, aby celý jejich příčný průřez byl umístěn v některém kvadrantu průřezu pilařského výřezu. Tím je dosaženo toho, že letokruhy mají průběh, který zamezuje borcení a prohýbání hranolku po vysušení.

Po nastavení všech vstupních dat a parametrů máme možnost zakončit práci s dialogovým oknem jedním ze tří tlačítek. Tlačítko OK sice zavře dialogové okno, ale pamatuje si všechny zadané údaje. Tyto údaje se při příštím otevření okna znovu objeví ve vstupních řádkách a rozhodovacích boxech okna. Tlačítko Storno vrací vše do stavu před otevřením dialogového okna. Ani jedno z těchto tlačítek nenastartuje výpočet pořezového schematu. Tlačítko Výpočet pořezového schematu se chová stejně jako tlačítko OK, ale navíc odstartuje výpočet pořezového schematu.

Výsledkem výpočtu pořezového schematu pro každý způsob pořezu je okno se souhrnnými informacemi.

Tyto informace se týkají celé skupiny třídění výřezů, detailní informace o jednotlivých čepových průměrech ve skupině včetně grafického zobrazení pořezového schematu dostaneme kliknutím na tlačítko Jednotlivé čepy.

Do prostoru okna můžeme kliknout pravým tlačítkem myši, objeví se kontextové menu, které nám umožní kopírování do schránky, tisk a finanční ocenění výsledku.

Stejnou možnost nám dává kontextové menu oken s informacemi pro jednotlivé čepové průměry skupiny třídění.

Následuje ukázka výsledné informace pro čepový průměr a pro jednotlivé druhy pořezu:


Strategie

Optimální strategie pořezu

Optimální pořezovou strategií rozumíme předpis, jaké řezivo, t.j. řezivo jakých rozměrů, vyrábět z které skupiny suroviny a v jakém množství, aby bylo dosaženo extremní hodnoty ( maxima nebo minima ) optimalizačního kriteria, a to při současném splnění všech omezujících podmínek na množství řeziva a suroviny.

Pořezovou strategii můžeme počítat pro delší časová období, kdy vycházíme z určitého předpokladu rozložení pilařské suroviny v jednotlivých skupinách třídění a kdy vycházíme ze znalosti objednávek na řezivo daných rozměrů, případně z předpokladů možnosti bezproblémového prodeje řeziva určitých dimenzí. Pořezovou strategii ale můžeme určovat pro kratší časové intervaly, kde naše znalosti vstupních dat mohou být značně přesnější

V okamžiku zahájení výpočtu optimální strategie musíme již mít v projektu, v jehož prostředí výpočet provádíme, všechny údaje potřebné pro výpočet pořezových schemat (viz Technologie), protože pořezová schemata jsou páteří optimalizačních výpočtů. K těmto údajům potřebujeme pro optimalizační výpočty ještě přidat informaci o požadovaných množstvích středového řeziva v jeho jednotlivých rozměrech a pro jednotlivé druhy pořezu. Zcela určitě budeme potřebovat aby projekt obsahoval komponentu s nadměrky a komponentu se šířkami bočního řeziva. Program sice provede výpočet i bez těchto dvou komponent, ale nebude pracovat s bočním řezivem a s nadmírou pro sesychání. Pokud budeme volit jako optimalizační kriterium finanční hodnotu vyrobeného řeziva, musí projekt obsahovat i komponentu s ceníkem. Samozřejmě, že nezbytná je i komponenta se surovinou. Optimalizační výpočet pracuje vždy s tříděním, které bylo navrženo uživatelem !

Optimalizační výpočet nastartujeme buď z hlavního menu programu nebo z toolbaru přes volby Optimalizace výroby řeziva a Optimalizační výpočet. Na obrazovce se objeví dialogové okno, které nám umožní upřesnit parametry výpočtu:

Název úlohy se objeví v okně s výsledkem výpočtu a má jen identifikační význam. Výpočet pořezových schemat, která jsou základem výpočtu, se provádí pro jednu délku řeziva. Pokud chceme ocenit výsledek výpočtu a přitom nevolíme jako optimalizační kriterium maximalizaci ceny vyrobeného řeziva, zaškrtneme možnost ocenění výsledku výpočtu.

Důležitá je volba typu optimalizace. Minimalizace množství pořezané kulatiny je prakticky požadavek na maximalizaci výtěže středového řeziva. V tomto případě musíme ale zadat programu požadavky na minimální požadované množství středového řeziva (jinak by se totiž nevyrábělo nic). To lze provést pro jednotlivé rozměry řeziva a/nebo v tomto dialogovém okně zadáme požadavek na celkové minimální množství středového řeziva (zvlášť pro prizmu a zvlášť pro pořezy na ostro). Aby požadavek na celkové minimální množství měl smysl, musí být ovšem větší než součet požadavků na minima jednotlivých rozměrů řeziva. Splnění minimálních požadavků je hlavním kriteriem výpočtu, minimalizace spotřeby suroviny probíhá až v mantinelech, které určují minimalizační požadavky.

V případě maximalizačních kriterií optimalizačního výpočtu se program snaží "vyrábět" maximum středového řeziva, celkového řeziva anebo řeziva, které má nejvyšší finanční ocenění, a to z veškeré suroviny. Požadavky na minima řeziva určitých rozměrů jsou zde nezbytná zejména v případě, kdy nutně potřebujeme vyrobit alespoň určité množství takového řeziva a řezivo má přitom malou výtěž z hlediska zvoleného optimalizačního kriteria. Je zřejmé, že obecně v případě maximalizace výroby podle libovolného kriteria nabývá na významu požadavek na horní omezení (maximum) vyráběného řeziva. Například pokud zvolíme maximalizaci středového řeziva a neomezíme shora požadavky na řezivo vyráběné na ostro, program se bude zřejmě snažit "vyrábět" pouze toto řezivo, protože nepoměr mezi výtěží středového řeziva při pořezu prizmováním a při pořezu na ostro je značný.

Výsledkem optimalizačního výpočtu je návrh výrobní strategie, v řazení podle jednotlivých rozměrů středového řeziva, tak jak je řezivo uvedeno v komponentě s řezivem. Okno s tím samým výsledkem, ale v třídění dle rozměrů suroviny můžeme vyvolat z hlavního menu anebo z toolbaru ( optimalizace třídění suroviny, výsledky optimalizace dle suroviny). V projektu jsou uloženy vždy pouze výsledky posledního optimalizačního výpočtu.

Obsah výsledkového okna můžeme tisknout, kopírovat a pokud vybereme v okně řádek obsahující informaci o přiřazení řeziva určitého rozměru k určité skupině suroviny, můžeme i zobrazit odpovídající pořezové schema. Toto vše provedeme aktivací volby kontextového menu, které vyvoláme kliknutím pravého tlačítka myši do výsledkového okna.

Z hlavního menu i z toolbaru lze vyvolat i okno, které obsahuje rozměrově tříděný přehled bočního řeziva, které by vzniklo při pořezu podle posledního výsledku výpočtu optimální pořezové strategie. Obsah okna lze prostřednictvím voleb kontextového menu tisknout a kopírovat.


trideni

Optimalizace třídění suroviny

Důležitým faktorem při optimalizaci pořezové strategie je rovněž způsob třídění suroviny do jednotlivých skládek podle velikosti čepových průměrů pilařských výřezů. Řezivo bývá obvykle tříděno po 2 až 3 cm velikosti čepového průměru. Počet skládek bývá obvykle limitovaný shora prostorovými možnostmi výrobní jednotky. Při pořezu suroviny z jedné skládky je závěs nastaven s ohledem na velikost nejmenšího čepového průměru ve skupině. Způsob třídění se v jednotlivých výrobních jednotkách obvykle dlouhodobě nemění a většinou bývá historickou záležitostí. Ne vždy ale musí být nejvhodnější. Pokud máme dobrý přehled o pravděpodobném výskytu pilařské suroviny v čepových průměrech základního třídění po 1 cm, pokud je tento výskyt z dlouhodobého hlediska stabilní a pokud máme stabilní i výrobní program, můžeme se pokusit o návrh nového způsobu třídění suroviny. Program tuto možnost dává, k výpočtu potřebuje znalost rozložení suroviny podle jednotlivých čepových průměrů ( viz komponentu Pilařská surovina), které by mělo být v tomto případě co nejpřesnější, rozhodně bychom se neměli spokojit s lineární aproximací provedenou programem. Dále je nutné programu zadat určitou množinu rozměrů středového řeziva, které se ve výrobní jednotce vyrábí respektive by se mohlo vyrábět v množství, které by odpovídalo množství disponibilní suroviny. Program předpokládá, že se jedná výhradně o řezivo, které bude vyráběno prizmováním. Program navrhne způsob třídění pro pevně zadaný počet skládek tak, aby celková výtěž středového řeziva (nebo výtěž řeziva celkem) při pořezu disponibilní suroviny byla maximalizována, a to za předpokladu pořezu pouze řeziva zadaných rozměrů. Pro každou skládku program vybere nejvhodnější rozměr řeziva. Takto navržené třídění suroviny ještě stále nemusí být optimální z hlediska celkového výrobního programu závodu. Jestli ale navržené třídění suroviny je anebo není výhodnější než aktuální třídění suroviny lze jednoduše ověřit následným výpočtem optimální pořezové strategie pro výrobní program závodu, a to alternativně pro stávající třídění a pro třídění navržené programem.

Pro výpočet optimalizovaného třídění suroviny musí projekt obsahovat komponenty nutné pro výpočet výtěží, tedy komponentu s technologickými údaji a komponenty s údaji o nadměrcích a o šířkách bočního řeziva. Projekt musí samozřejmě obsahovat údaje o pilařské surovině a výše uvedené údaje o středovém řezivu.

V dialogovém okně, které se objeví po aktivaci voleb Výpočty, Optimalizace třídění suroviny a Výpočet optimálního třídění suroviny v hlavním menu programu, zadáme délku řeziva ( respektive výřezu) pro kterou bude prováděn výpočet. Doporučuje se pracovat s nejčetnější délkou výřezů ( např. 4 m) . Zadáme maximální, ještě přijatelný rozsah jedné skupiny výřezů a zadáme počet skládek výřezů. Optimalizovat můžeme alternativně podle středové anebo celkové výtěže řeziva. Program si ověří, zda zadané údaje plus údaje o surovině nejsou v rozporu a v případě, že je vše v pořádku, provede výpočet.

Okno s výsledkem výpočtu obsahuje rozdělení suroviny podle čepových průměrů výřezů do zadaného počtu skládek, pro každou skládku je uvedeno množství suroviny, rozměr řeziva ze seznamu, při jehož pořezu se dosáhne optimální výtěž a je uvedena středová a celková výtěž.

Kliknutím pravého tlačítka myši do prostoru okna můžeme vyvolat kontextové menu, které nám umožní obsah okna tisknout nebo kopírovat.